.k2-table__container {
    width: 100%;
    overflow-x: auto;
}

.k2-table {
    min-width: 100%;
    border-collapse: collapse;
    width: fit-content;
}

.k2-table--fixed:not(:has(.k2-table__cell--has-width)) {
    table-layout: fixed;
}

/**
 * Cell
 */
.k2-table__cell {
    overflow-wrap: break-word;
    height: 100%;
    vertical-align: top;
    min-width: max(150px, var(--cell-width, 0px));
}

.k2-table__cell--align-top {
    vertical-align: top;
}

.k2-table__cell--align-center {
    vertical-align: middle;
}

.k2-table__cell--align-bottom {
    vertical-align: bottom;
}

@media screen and (max-width: 768px) {
    :not(#fakeid).k2-table--fixed {
        table-layout: auto;
    }
}